
#
# spec file for package dateutils
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

%define xversion 0.2.3

Name:           dateutils
Version:        0.2.3
Release:        0
Summary:        Nifty command line date and time utilities
License:        BSD-3-Clause
Group:          Productivity/Text/Utilities
URL:            https://github.com/hroptatyr/dateutils/
Source:         %{name}-%{version}.tar.xz
BuildRequires:  pkgconfig
BuildRequires:  xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires(pre):  info

%description
Dateutils are a bunch of tools that revolve around fiddling with dates
and times in the command line with a strong focus on use cases that
arise when dealing with large amounts of financial data. Their target
market is shell scripts that need date calculations or calendar
conversions, and as such they are highly pipe-able and modeled after
their well-known cousins (e.g. dtest vs. test, or dgrep vs. grep).

%package devel
Summary:        Development files for %{name}
Group:          Development/Libraries/Other
Requires:       %{name} = %{version}

%description devel
This package contains the header and source files needed for
compiling programs using the %{name} libraries.

%prep
%setup -q -n %{name}-%{xversion}

%build
%configure --docdir=%{_docdir}/%{name}
make V=1

%install
%{?make_install} %{!?make_install:make install DESTDIR=%{buildroot}}
rm -f %{buildroot}%{_infodir}/dir

%check
if ! make check; then
    cat test/test-suite.log
    exit 1
fi

%clean
rm -rf %{buildroot}

# How to make that info stuff portable?
%if 0%{?install_info:1} > 0

%post
%install_info --info-dir=%{_infodir} %{_infodir}/%{name}.info*

%postun
%install_info_delete --info-dir=%{_infodir} %{_infodir}/%{name}.info*
%endif

%files
%defattr(-,root,root,-)
%doc README
%{_bindir}/dadd
%{_bindir}/dconv
%{_bindir}/ddiff
%{_bindir}/dgrep
%{_bindir}/dround
%{_bindir}/dseq
%{_bindir}/dtest
%{_bindir}/strptime
%doc %{_infodir}/%{name}.info*
%doc %{_mandir}/man1/%{name}.1*
%doc %{_mandir}/man1/dadd.1*
%doc %{_mandir}/man1/dconv.1*
%doc %{_mandir}/man1/ddiff.1*
%doc %{_mandir}/man1/dgrep.1*
%doc %{_mandir}/man1/dround.1*
%doc %{_mandir}/man1/dseq.1*
%doc %{_mandir}/man1/dtest.1*
%doc %{_mandir}/man1/strptime.1*

%files devel
%defattr(-,root,root,-)
%{_includedir}/dateutils/
%{_libdir}/libdut.a
%{_libdir}/pkgconfig/libdut.pc

%changelog
